%define upstream_name 	 File-BaseDir
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl module to use the freedesktop basedir spec
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Which)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
Perl module to use the freedesktop basedir spec.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/File/*
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.90.0-3.mga10
+ Revision: 2207267
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.90.0-2.mga9
+ Revision: 1814740
- Mageia 9 Mass Rebuild

* Sat Jul 17 2021 tv <tv> 0.90.0-1.mga9
+ Revision: 1736366
- update to 0.09

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-3.mga8
+ Revision: 1504448
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.80.0-2.mga7
+ Revision: 1283658
- Mageia 7 Mass Rebuild

* Thu Mar 29 2018 tv <tv> 0.80.0-1.mga7
+ Revision: 1213419
- update to 0.08

* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-3.mga6
+ Revision: 1027279
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.70.0-2.mga6
+ Revision: 967702
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.70.0-1.mga6
+ Revision: 850089
- update to 0.07

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 748157
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 684705
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 511462
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 367143
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 26147
- mageia rebuild
- imported package perl-File-BaseDir


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-1mdv2010.1
+ Revision: 405963
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.03-4mdv2009.1
+ Revision: 351741
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.03-3mdv2009.1
+ Revision: 351735
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.03-2mdv2009.0
+ Revision: 223718
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2008.1
+ Revision: 105342
- new version


* Fri Sep 01 2006 Michael Scherer <misc@mandriva.org> 0.02-3mdv2007.0
- Rebuild

* Wed Aug 24 2005 Michael Scherer <misc@mandriva.org> 0.02-2mdk
- Birthday rebuild
- mkrel

* Mon Aug 23 2004 Michael Scherer <misc@mandrake.org> 0.02-1mdk 
- First Mandrakelinux package

